/*

Código fuente creado por JailDesigner
Empezado en Castalla el 01/07/2022.

*/

#include "director.h"
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
	cout << "Starting the game..." << endl;

	// Crea el objeto Director
	Director *director = new Director(argc, argv);

	// Bucle principal
	director->run();

	// Destruye el objeto Director
	delete director;
	director = nullptr;

	cout << "\nShutting down the game..." << endl;

	return 0;
}
